BatchResolveCalculatedChannel
curl --request POST \
--url https://api.siftstack.com/api/v2/calculated-channels/resolve:batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requests": [
{
"identifier": {
"id": "<string>",
"clientKey": "<string>"
},
"organizationId": "<string>",
"assets": {},
"run": {
"id": "<string>",
"clientKey": "<string>"
}
}
]
}
'import requests
url = "https://api.siftstack.com/api/v2/calculated-channels/resolve:batch"
payload = { "requests": [
{
"identifier": {
"id": "<string>",
"clientKey": "<string>"
},
"organizationId": "<string>",
"assets": {},
"run": {
"id": "<string>",
"clientKey": "<string>"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/calculated-channels/resolve:batch"
payload := strings.NewReader("{\n \"requests\": [\n {\n \"identifier\": {\n \"id\": \"<string>\",\n \"clientKey\": \"<string>\"\n },\n \"organizationId\": \"<string>\",\n \"assets\": {},\n \"run\": {\n \"id\": \"<string>\",\n \"clientKey\": \"<string>\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"responses": [
{
"resolved": [
{
"assetName": "<string>",
"expressionRequest": {
"expression": "<string>",
"channelReferences": {},
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelId": "<string>"
}
],
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
]
},
"outputDataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"assetId": "<string>"
}
],
"unresolved": [
{
"assetName": "<string>",
"errorMessage": "<string>"
}
],
"calculatedChannelId": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}CalculatedChannelService
BatchResolveCalculatedChannel
Resolve a batch of calculated channels into expressions with references
POST
/
api
/
v2
/
calculated-channels
/
resolve:batch
BatchResolveCalculatedChannel
curl --request POST \
--url https://api.siftstack.com/api/v2/calculated-channels/resolve:batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requests": [
{
"identifier": {
"id": "<string>",
"clientKey": "<string>"
},
"organizationId": "<string>",
"assets": {},
"run": {
"id": "<string>",
"clientKey": "<string>"
}
}
]
}
'import requests
url = "https://api.siftstack.com/api/v2/calculated-channels/resolve:batch"
payload = { "requests": [
{
"identifier": {
"id": "<string>",
"clientKey": "<string>"
},
"organizationId": "<string>",
"assets": {},
"run": {
"id": "<string>",
"clientKey": "<string>"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/calculated-channels/resolve:batch"
payload := strings.NewReader("{\n \"requests\": [\n {\n \"identifier\": {\n \"id\": \"<string>\",\n \"clientKey\": \"<string>\"\n },\n \"organizationId\": \"<string>\",\n \"assets\": {},\n \"run\": {\n \"id\": \"<string>\",\n \"clientKey\": \"<string>\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"responses": [
{
"resolved": [
{
"assetName": "<string>",
"expressionRequest": {
"expression": "<string>",
"channelReferences": {},
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelId": "<string>"
}
],
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
]
},
"outputDataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"assetId": "<string>"
}
],
"unresolved": [
{
"assetName": "<string>",
"errorMessage": "<string>"
}
],
"calculatedChannelId": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The request of a call to CalculatedChannelService_BatchResolveCalculatedChannels.
The request of a call to CalculatedChannelService_BatchResolveCalculatedChannels.
All calculated channels to resolve.
Show child attributes
Show child attributes
Response
A successful response.
The response of a call to CalculatedChannelService_BatchResolveCalculatedChannels.
All calculated channels that attempted resolution.
Show child attributes
Show child attributes
Was this page helpful?
⌘I